# OpenLayers.Format.WMSCapabilities

Read WMS Capabilities.

#### Inherits from

- OpenLayers.Format.XML.VersionedOGC

Summary

OpenLayers.Format.WMSCapabilities | Read WMS Capabilities.
Properties |
defaultVersion | {String} Version number to assume if none found.
profile | {String} If provided, use a custom profile.
Constructor |
OpenLayers.Format.WMSCapabilities | Create a new parser for WMS capabilities.
Functions |
read | Read capabilities data from a string, and return a list of layers.

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “1.1.1”.

### profile

{String} If provided, use a custom profile.

#### Currently supported profiles

- WMSC - parses vendor specific capabilities for WMS-C.

### Constructor

### OpenLayers.Format.WMSCapabilities

Create a new parser for WMS capabilities.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

Read capabilities data from a string, and return a list of layers.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array} List of named layers.

Base class for versioned formats, i.e.
Close